# Copyright 2024 Akretion France (http://www.akretion.com/)
# @author: Alexis de Lattre <alexis.delattre@akretion.com>

FANTOIR_MAP = {
    "Aérodrome": "AER",
    "Agglomération": "AGL",
    "Aire": "AIRE",
    "Allée": "ALL",
    "Ancien chemin": "ACH",
    "Ancienne route": "ART",
    "Angle": "ANGL",
    "Arcade": "ARC",
    "Autoroute": "AUT",
    "Avenue": "AV",
    "Barrière": "BRE",
    "Base": "BASE",
    "Bassin": "BSN",
    "Berge": "BER",
    "Bord": "BORD",
    "Boulevard": "BD",
    "Bourg": "BRG",
    "Bretelle d'autoroute": "BRTL",
    "Calle": "CALL",
    "Camin": "CAMI",
    "Camp": "CAMP",
    "Camping": "CPG",
    "Canal": "CAN",
    "Carrefour": "CAR",
    "Carriera": "CAE",
    "Carrière": "CARE",
    "Caserne": "CASR",
    "Centre": "CTRE",
    "Châlet": "CHL",
    "Champ": "CHP",
    "Chasse": "CHA",
    "Château": "CHT",
    "Chaussée": "CHS",
    "Chemin communal": "CC",
    "Chemin départemental": "CD",
    "Chemin forestier": "CF",
    "Chemin rural": "CR",
    "Chemin vicinal": "CHV",
    "Chemin": "CHE",
    "Cheminement": "CHEM",
    "Cité": "CITE",
    "Clos": "CLOS",
    "Coin": "COIN",
    "Col": "COL",
    "Contour": "CTR",
    "Corniche": "COR",
    "Coron": "CORO",
    "Côte": "COTE",
    "Couloir": "CLR",
    "Cour": "COUR",
    "Cours": "CRS",
    "Coursive": "CIVE",
    "Croix": "CRX",
    "Darse": "DARS",
    "Descente": "DSC",
    "Déviation": "DEVI",
    "Digue": "DIG",
    "Domaine": "DOM",
    "Draille": "DRA",
    "Écart": "ECA",
    "Écluse": "ECL",
    "Embranchement": "EMBR",
    "Enclave": "ENV",
    "Enclos": "ENC",
    "Escalier": "ESC",
    "Espace": "ESPA",
    "Esplanade": "ESP",
    "Étang": "ETNG",
    "Faubourg": "FG",
    "Ferme": "FRM",
    "Fontaine": "FON",
    "Fort": "FORT",
    "Fossé": "FOS",
    "Galerie": "GAL",
    "Gare": "GARE",
    "Grand boulevard": "GBD",
    "Grand place": "GPL",
    "Grande rue": "GR",
    "Grève": "GREV",
    "Habitation": "HAB",
    "Halage": "HLG",
    "Halle": "HLE",
    "Hameau": "HAM",
    "HLM": "HLM",
    "Île": "ILE",
    "Îlot": "ILOT",
    "Impasse": "IMP",
    "Jardin": "JARD",
    "Jetée": "JTE",
    "Lac": "LAC",
    "Levée": "LEVE",
    "Lices": "LICE",
    "Ligne": "LIGN",
    "Lotissement": "LOT",
    "Mail": "MAIL",
    "Maison": "MAIS",
    "Marche": "MAR",
    "Marina": "MRN",
    "Mas": "MAS",
    "Montée": "MTE",
    "Nouvelle route": "NTE",
    "Parc": "PARC",
    "Parking": "PKG",
    "Parvis": "PRV",
    "Passage": "PAS",
    "Passe": "PASS",
    "Passerelle": "PLE",
    "Petit chemin": "PCH",
    "Petite allée": "PTA",
    "Petite avenue": "PAE",
    "Petite route": "PRT",
    "Petite rue": "PTR",
    "Phare": "PHAR",
    "Piste": "PIST",
    "Placa": "PLA",
    "Place": "PL",
    "Placette": "PTTE",
    "Placis": "PLCI",
    "Plage": "PLAG",
    "Plaine": "PLN",
    "Plan": "PLAN",
    "Plateau": "PLT",
    "Pointe": "PNT",
    "Pont": "PONT",
    "Port": "PORT",
    "Porte": "PTE",
    "Portique": "PORQ",
    "Poste": "POST",
    "Poterne": "POT",
    "Promenade": "PROM",
    "Quai": "QUAI",
    "Quartier": "QUA",
    "Raccourci": "RAC",
    "Rampe": "RPE",
    "Ravine": "RVE",
    "Rempart": "REM",
    "Résidence": "RES",
    "Rive": "RIVE",
    "Rocade": "ROC",
    "Rond-point": "RPT",
    "Rotonde": "RTD",
    "Route départementale": "D",
    "Route nationale": "N",
    "Route": "RTE",
    "Rue": "RUE",
    "Ruelle": "RLE",
    "Ruellette": "RULT",
    "Ruette": "RUET",
    "Ruisseau": "RUIS",
    "Sas": "SAS",
    "Sentier": "SEN",
    "Square": "SQ",
    "Stade": "STDE",
    "Terrasse": "TSSE",
    "Terreplein": "TPL",
    "Tertre": "TRT",
    "Tour": "TOUR",
    "Traverse": "TRA",
    "Tunnel": "TUN",
    "Val": "VAL",
    "Vallon": "VALL",
    "Venelle": "VEN",
    "Via": "VIA",
    "Viaduc": "VIAD",
    "Vielle route": "VTE",
    "Vieux chemin": "VCHE",
    "Villa": "VLA",
    "Village": "VGE",
    "Ville": "VIL",
    "Voie communale": "VC",
    "Voie": "VOIE",
    "Voirie": "VOIR",
    "Voute": "VOUT",
    "Voyeul": "VOY",
    "Zone artisanale": "ZA",
    "Zone d'aménagement concerté": "ZAC",
    "Zone d'aménagement différé": "ZAD",
    "Zone industrielle": "ZI",
    "Zone à urbaniser en priorité": "ZUP",
    "Zone": "ZONE",
}
